package org.switchyard.quickstarts.hornetq;

import javax.inject.Inject;

import org.switchyard.component.bean.Reference;
import org.switchyard.component.bean.Service;

@Service(GreetingService.class)
public class GreetingServiceBean implements GreetingService {

	@Inject
	@Reference
	private HelloService service;
	
	@Override
	public String greet(String message) {

		System.out.println("Message--->"+message);
		System.out.println("Result-->"+service.getProductInJSON());
		return "Hello-->"+message;
	}

}
